## org.eclipse.emf.ecoretools.filters.diagramfilters
Interface IDiagramFilter

All Known Implementing Classes:
  AbstractDiagramFilter

    public interface IDiagramFilter

TODO Describe the class here
creation : 4 oct. 07

Method Summary
`java.util.List<java.lang.String>` `getCurrentFilteredTypeConfiguration()` Fetch the list containing all the filtered types
`java.util.Map<java.lang.String,java.lang.String>` `getFilteredTypeDescription()` Associates in a map filtered type and names
`void` `setCurrentFilteredTypeConfiguration(java.util.List<java.lang.String> filteredTypes)` Persist the list containing all the filtered types

Method Detail

### getCurrentFilteredTypeConfiguration

    java.util.List<java.lang.String> getCurrentFilteredTypeConfiguration()

  Fetch the list containing all the filtered types

  Returns:
    list

### getFilteredTypeDescription

    java.util.Map<java.lang.String,java.lang.String> getFilteredTypeDescription()

  Associates in a map filtered type and names

  Returns:
    map

### setCurrentFilteredTypeConfiguration

    void setCurrentFilteredTypeConfiguration(java.util.List<java.lang.String> filteredTypes)

  Persist the list containing all the filtered types

Copyright 2007 Anyware Technologies. All Rights Reserved.